OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
SimpleTinyEnumT< enum_type, storage_type > Struct Template Reference

Template of struct holding enum types (on most archs, enums are stored in an int32). More...

`#include <enum_type.hpp>`

## Public Member Functions
| operator enum_type () const
| Cast operator - invoked then the value is assigned to the storage_type.
SimpleTinyEnumT & | operator= (enum_type e)
| Assignment operator (from enum_type)
SimpleTinyEnumT & | operator= (uint u)
| Assignment operator (from general uint)
SimpleTinyEnumT & | operator|= (enum_type e)
| Bit math (or) assignment operator (from enum_type)
SimpleTinyEnumT & | operator&= (enum_type e)
| Bit math (and) assignment operator (from enum_type)

## Data Fields
storage_type | m_val
| here we hold the actual value in small (i.e. byte) form

## Detailed Description

### template<typename enum_type, typename storage_type>
struct SimpleTinyEnumT< enum_type, storage_type >

Template of struct holding enum types (on most archs, enums are stored in an int32).

No math operators are provided.

Definition at line 139 of file enum_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/enum_type.hpp